summary refs log tree commit diff stats
path: root/doc
diff options
context:
space:
mode:
authorhut <hut@lavabit.com>2010-02-04 02:45:30 +0100
committerhut <hut@lavabit.com>2010-02-04 02:45:30 +0100
commit8111b8e97219ef289b25a296a2775c8975b01dc9 (patch)
treef201390e11c516258940ca604815c023cd17d890 /doc
parent51e9b18e6d16c1ddd686f54e0779420722a7ffb3 (diff)
downloadranger-8111b8e97219ef289b25a296a2775c8975b01dc9.tar.gz
added doc/pick.sh
Diffstat (limited to 'doc')
-rwxr-xr-xdoc/pick.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/doc/pick.sh b/doc/pick.sh
new file mode 100755
index 00000000..fb9da83b
--- /dev/null
+++ b/doc/pick.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+# I work on a branch (named hut) which contains commits
+# that should not be part of the standard distribution.
+#
+# This script picks all the good commits from hut and
+# adds them to the master branch.
+# Bad commits are marked with a "custom:" at the beginning
+# of the commit message.
+
+BRANCH=`git branch 2>/dev/null|grep -e ^* | tr -d \*\ `
+
+git checkout master
+
+while read -r hash tag rest; do
+	if [ $tag != 'custom:' ]; then
+		git cherry-pick $hash || exit 1
+	fi
+done < <(git log --oneline --no-color master..hut)
+
+git checkout hut
+git rebase master
+
+git checkout $BRANCH
a18b5a0c7d57'>712aa449
4ea0f69a ^


712aa449
0a32b684 ^


34a60763 ^
36e4e71e ^

4ea0f69a ^

36e4e71e ^




78a7d762 ^
36e4e71e ^

78a7d762 ^
36e4e71e ^


4ea0f69a ^

36e4e71e ^
0a32b684 ^
36e4e71e ^
0a32b684 ^
36e4e71e ^

f6ae504c ^
4ea0f69a ^

0a32b684 ^

4ea0f69a ^
0a32b684 ^
4ea0f69a ^


0a32b684 ^

4ea0f69a ^



36e4e71e ^





4ea0f69a ^


36e4e71e ^




4ea0f69a ^

36e4e71e ^



f6ae504c ^
4ea0f69a ^
36e4e71e ^

4ea0f69a ^

36e4e71e ^






4ea0f69a ^

306c76d8 ^






b6aff4c3 ^

306c76d8 ^
4ea0f69a ^

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115